Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.xl.impl.property
Class RuntimeModel

    java.lang.Object
      de.grogra.xl.impl.property.RuntimeModel

All Implemented Interfaces:
  RuntimeModel

Direct Known Subclasses:
  PropertyRuntime, PropertyRuntimeModel

    public abstract class RuntimeModel

extends java.lang.Object
implements RuntimeModel

Nested Class Summary
`static interface` | `RuntimeModel.BooleanProperty`
`static interface` | `RuntimeModel.ByteProperty`
`static interface` | `RuntimeModel.CharProperty`
`static interface` | `RuntimeModel.DoubleProperty`
`static interface` | `RuntimeModel.FloatProperty`
`static interface` | `RuntimeModel.IntProperty`
`static interface` | `RuntimeModel.LongProperty`
`static interface` | `RuntimeModel.ObjectProperty<T>`
`static interface` | `RuntimeModel.ShortProperty`

Nested classes/interfaces inherited from interface de.grogra.xl.property.RuntimeModel
`RuntimeModel.Property`

Constructor Summary
`RuntimeModel()`

Method Summary
`static Type<? extends RuntimeModel.Property>` | `getInterface(Type<?> type)`
`void` | `initialize(java.lang.String params)` Initializes this model.
`RuntimeModel.Property` | `propertyForName(java.lang.String cfc, java.lang.ClassLoader loader)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface de.grogra.xl.property.RuntimeModel
`propertyForName`

Constructor Detail

### RuntimeModel

    public RuntimeModel()

Method Detail

### getInterface

    public static Type<? extends RuntimeModel.Property> getInterface(Type<?> type)

### initialize

    public void initialize(java.lang.String params)

  Description copied from interface: `RuntimeModel`
  Initializes this model. This method is invoked by `RuntimeModelFactory.modelForName(java.lang.String, java.lang.ClassLoader)` after a new `Model` instance has been created. The format of `params` depends on implementations of `Model`.

  Specified by:
    `initialize` in interface `RuntimeModel`
  Parameters:
    `params` - initialization parameters, possibly `null`

### propertyForName

    public RuntimeModel.Property propertyForName(java.lang.String cfc,
                                                 java.lang.ClassLoader loader)

  Specified by:
    `propertyForName` in interface `RuntimeModel`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD